## e2fsprogs 1.41.3-1maemo6%2b0m5

=== debian/changelog ===
e2fsprogs (1.41.3-1maemo6+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 25 Nov 2009 16:32:26 +0200

e2fsprogs (1.41.3-1maemo6) unstable; urgency=low

  * Fixes: NB#148309 - legal bug

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 25 Nov 2009 15:20:01 +0200

e2fsprogs (1.41.3-1maemo5+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 27 Aug 2009 20:30:51 +0300

e2fsprogs (1.41.3-1maemo5) unstable; urgency=low

  * Integrating Alexander's version.
  * Caching redone. Fixes: NB#121684.

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 26 Aug 2009 11:15:38 +0300

e2fsprogs (1.41.3-1maemo5~ash0) unstable; urgency=low

  * Caching redone. Fixes: NB#121684.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Fri, 21 Aug 2009 15:57:38 +0300

e2fsprogs (1.41.3-1maemo4+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 23 Jun 2009 09:38:21 +0300

e2fsprogs (1.41.3-1maemo4) unstable; urgency=low

  * Fixes: NB#118292 Restored -dbg package building by introducing
    dh_strip from Ubuntu 8.04.

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 22 Jun 2009 13:36:26 +0300

e2fsprogs (1.41.3-1maemo3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Fri, 22 May 2009 18:38:26 +0300

e2fsprogs (1.41.3-1maemo3) unstable; urgency=low

  * Applied two experimental patches to speed-up ext2/3 filesystem creation.

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Fri, 22 May 2009 18:27:23 +0300

e2fsprogs (1.41.3-1maemo2) unstable; urgency=low

  * configure with --disable-nls (Fixes: NB#94925)

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Wed, 07 Jan 2009 13:57:23 +0200

e2fsprogs (1.41.3-1maemo1) unstable; urgency=low

  * Remove build dependency & configuration options to dietlibc
  * Removed broken dbg packages
  * Removed unsupported options in groupadd/useradd in libuuid postinst
    and replaced them with selecting first unused ones
  * Make libuuid1 depend on base-passwd to make sure it's there
  * Changed maintainer to integration@maemo.org

 -- Jussi hakala <ext-jussi.hakala@nokia.com>  Thu, 04 Dec 2008 16:01:19 +0200

e2fsprogs (1.41.3-1) unstable; urgency=low

  * New upstream release
  * Fix e2fsck so it prints the correct inode number for uinit_bg
    related problems.
  * E2fsck will offer to clear the test_fs flag if the ext4 filesystem
    is available.
  * Fix a file descriptor leak in libblkid
  * Avoid a poteintial infinite loop in e2fsck when there are disk I/O
    errors while trying to close a filesystem.
  * Fix a potential infinite loop in resize2fs when a bogus new size of
    0 blocks is specified on the command line.
  * Add an early check to see if a device is read-only to avoid lots of
    confusing error messages.
  * Fix debugfs's ncheck command so it prints all of the names of
    hardlinks in the same directories.
  * Fix a bug in libblkid so it correctly detects whether the ext4 and
    ext4dev filesystems are available, so that the ext4dev->ext4
    fallback code works correctly.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sun, 12 Oct 2008 22:45:34 -0400

e2fsprogs (1.41.2-1) unstable; urgency=low

  * New upstream release
  * Fix e2fsck's automatic blocksize detection.  This fixes a regression
      added in e2fsprogs 1.40.7 where e2fsck's -b option would not
      work if a blocksize wasn't also specified via the -B option.
  * Fix a potential file descriptor leak in libcom_err if the
      application exec's another program.
  * Fixed badblocks output for "badblocks -sw"
  * debugfs: Fix ncheck to print all pathnames for all of the specified inodes
  * Use dietlibc when possible for building e2fsck.static, to reduce the
      size of the static binary.
  * debugfs: Add the ability to specify the hash seed and to specify the
      hash algorithm by name to the "hash" command.
  * Add documentation for the file I/O functions to libext2fs.texinfo.
      (Closes: #484877)
  * Fix a bug in e2fsck where if a translation file is being used and
      e2fsck needs to print problem report with a custom question (such as
      "Run journal anyway?"), the PO file's header would get spewed onto
      the terminal.
  * Update Swedish, Vietnamese, Dutch, Indonesian, German, Czech translations
  * Fixed spelling mistakes in man pages  (Closes: #498100, #498101,
      #498102, #498103)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Thu, 02 Oct 2008 08:54:16 -0400

e2fsprogs (1.41.1-3) unstable; urgency=low

  * badblocks -v will now display the time and percentage complete
      (Closes: #429739)
  * Reordered debian/rules when building udebs to avoid a Lintian warning
  * Fixed dependencies fields in the udeb packages (Closes: #497619)
  * Avoid linking various programs with unneeded libraries
  * Fixed a typo'ed bold font specifier in mke2fs's man page
  * Fixed the pkg-config files so the include directory needed by the
      various libraries is included, and to use Requires.private to
      avoid unnecessary linking of dynamic libraries.
  * Add more historical information to the debian/*.symbol files

 -- Theodore Y. Ts'o <tytso@mit.edu>  Fri, 05 Sep 2008 11:11:03 -0400

e2fsprogs (1.41.1-2) unstable; urgency=low

  * Make sure ext4_swab64() is defined on all platforms (Closes: #497515)
  * Badlocks: Use O_LARGEFILE so it will run on files greater than 2GB

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 02 Sep 2008 09:53:46 -0400

e2fsprogs (1.41.1-1) unstable; urgency=low

  * New upstream release
  * mke2fs and tune2fs now use half-md4 as the default hash algorithm

